Bug 441373 - glxgears assertion
glxgears assertion
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: f9-x-blocker
  Show dependency treegraph
 
Reported: 2008-04-07 15:15 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 17:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (28.14 KB, application/octet-stream)
2008-04-07 15:15 EDT, Bill Nottingham
no flags Details
X log from server abort (26.14 KB, text/plain)
2008-04-07 15:54 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2008-04-07 15:15:37 EDT
Description of problem:

$ glxgears
Failed to initialize TTM buffer manager. Falling back to classic.
glxgears: ../common/dri_bufmgr_fake.c:831: dri_fake_bo_validate: Assertion
`!(bo_fake->flags & (0x00000001|0x00000004))' failed.

Happens when running under compiz. Works without compiz. i965

Version-Release number of selected component (if applicable):

mesa-libGL-7.1-0.21.fc9.x86_64
xorg-x11-drv-i810-2.2.1-19.fc9.x86_64
Comment 1 Bill Nottingham 2008-04-07 15:15:37 EDT
Created attachment 301555 [details]
X log
Comment 2 Bill Nottingham 2008-04-07 15:44:45 EDT
Sometimes X crashes instead, with a backtrace of:

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7f36dbb24780 (LWP 2762)]
0x00007f36dc423ef5 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x00007f36dc423ef5 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007f36dc425a63 in abort () at abort.c:88
#2  0x00007f36dc41ce99 in __assert_fail (
    assertion=0x7f36c957c050 "!(bo_fake->flags & (0x00000001|0x00000004))", 
    file=0x7f36c957c128 "../common/dri_bufmgr_fake.c", line=831, 
    function=0x7f36c957c350 "dri_fake_bo_validate") at assert.c:78
#3  0x00007f36c93c732d in dri_fake_reloc_and_validate_buffer (bo=0x288a080)
    at ../common/dri_bufmgr_fake.c:830
#4  0x00007f36c93c7078 in dri_fake_reloc_and_validate_buffer (bo=0x3e93220)
    at ../common/dri_bufmgr_fake.c:1010
#5  0x00007f36c93c7364 in dri_fake_process_relocs (batch_buf=0x3e93220, 
    count_p=0x7fffe5e1e704) at ../common/dri_bufmgr_fake.c:1049
#6  0x00007f36c93c7b87 in _intel_batchbuffer_flush (batch=0x19a2530, 
    file=<value optimized out>, line=<value optimized out>) at
intel_batchbuffer.c:134
#7  0x00007f36c93cdcc9 in intelFinish (ctx=0xaca) at intel_context.c:372
#8  0x00007f36db49c124 in ?? () from /usr/lib64/xorg/modules/extensions//libglx.so
#9  0x00007f36db49b2f2 in ?? () from /usr/lib64/xorg/modules/extensions//libglx.so
#10 0x00007f36db49f702 in ?? () from /usr/lib64/xorg/modules/extensions//libglx.so
#11 0x0000000000446374 in Dispatch ()
#12 0x000000000042c85d in main ()

(i.e., it appears to be hitting the same assertion.)
Comment 3 Bill Nottingham 2008-04-07 15:54:05 EDT
Created attachment 301559 [details]
X log from server abort
Comment 4 Dave Airlie 2008-04-18 01:24:48 EDT
try with mesa-7.1-0.27 when it lands in koji.

Comment 5 Bill Nottingham 2008-04-18 09:55:11 EDT
Tried -28. Works now.

Note You need to log in before you can comment on or make changes to this bug.